using BackendTutorial.Events;
using Infrastructure.EventBus;

namespace BackendTutorial.EventHandlers;

public class HelloWorldEventHandler(ILogger<HelloWorldEventHandler> logger) :
    IIntegrationEventHandler<HelloWorldEvent>
{
    public async Task HandleAsync(HelloWorldEvent integrationEvent)
    {
        logger.LogInformation(integrationEvent.ToString());
        await Task.CompletedTask;
    }
}