using Infrastructure.EventBus;

namespace BackendTutorial.Events;

public class HelloWorldEvent(string message) : IntegrationEvent
{
    public string Message { get; set; } = message;

    public override string ToString()
    {
        return $"event id: {Id}, created at {CreatedDate}, message: {Message}";
    }
}